summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/ctan2tl
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2012-12-17 23:46:31 +0000
committerKarl Berry <karl@freefriends.org>2012-12-17 23:46:31 +0000
commit6ac754f03838e01f7bd2ad2772eb6fde8eb34775 (patch)
tree04c444eef068dd1a4c9e58c11f4e28ebe119faed /Master/tlpkg/bin/ctan2tl
parenta9be70a79afe30937c809014d02feed956ba3e80 (diff)
first steps towards cstex packages
git-svn-id: svn://tug.org/texlive/trunk@28560 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/ctan2tl')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl6
1 files changed, 6 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index 6a1dd7ab7e0..e685d4ba9c9 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -107,6 +107,12 @@ fi
# clean up the tmpdir possibly created by tlpkginfo --prepare.
ctan_root=`tlpkginfo --ctan-root`
if echo "$ctan_dir" | egrep "^$ctan_root" >/dev/null; then :; else
+ ctan_dir=`cd $ctan_dir && pwd` # canonicalize
+ slashes=`echo $ctan_dir | tr -cd /`
+ if test "$slashes" = /; then
+ echo "$0: only one directory level in CTAN directory: $ctan_dir" >&2
+ exit 1
+ fi
rm -rf $ctan_dir
fi
fi # end of copying from CTAN.